Skip to main content
GET
/
v1
/
exchange
/
stablefx
/
settlementAdvance
/
reservation
List settlement advance reservations
curl --request GET \
  --url https://api.circle.com/v1/exchange/stablefx/settlementAdvance/reservation \
  --header 'Authorization: Bearer <token>'
{
  "reservations": [
    {
      "id": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
      "amount": {
        "currency": "USDC",
        "amount": "100.00"
      },
      "status": "active",
      "expirationDate": "2023-01-01T12:04:05Z",
      "createDate": "2023-01-01T12:04:05Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are requred to make a successful request.

Query Parameters

status
enum<string>

Filter by reservation status. Omit to return reservations in any status. Status of a settlement advance reservation.

  • active -- reservation is live; holds available-balance capacity on the credit line.
  • expired -- reservation window elapsed without an origination claiming it; terminal state.
  • consumed -- origination claimed this reservation; terminal state.
  • canceled -- reservation voided by admin or system action; terminal state.
Available options:
active,
expired,
consumed,
canceled
Example:

"active"

currency
string

Filter by reservation currency.

Example:

"USDC"

pageBefore
string<uuid>

Cursor -- return reservations strictly before this id.

pageAfter
string<uuid>

Cursor -- return reservations strictly after this id.

pageSize
integer
default:20
Required range: 1 <= x <= 100

Response

List of settlement advance reservations.

List of settlement advance reservations.

reservations
object[]
required